> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get creator Market SkillBot

> Returns one Market SkillBot owned by the authenticated creator, including private publishing state such as pending review, rejected, published, and unlisted. It does not expose workflow execution specs.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/creators/me/marketListings/{marketListing}
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/creators/me/marketListings/{marketListing}:
    get:
      tags:
        - Creators
      summary: Get creator Market SkillBot
      description: >-
        Returns one Market SkillBot owned by the authenticated creator,
        including private publishing state such as pending review, rejected,
        published, and unlisted. It does not expose workflow execution specs.
      parameters:
        - name: marketListing
          in: path
          description: Market listing ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.marketListingResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.marketListingResponse:
      type: object
      properties:
        description:
          type: string
        displayName:
          type: string
        executionAvailabilityStatus:
          type: string
        id:
          type: string
        inputSchemaSnapshot:
          type: string
        listingVersionId:
          type: string
        ownerUserId:
          type: integer
        packageHash:
          type: string
        pricingRuleVersion:
          type: string
        pricingSnapshotHash:
          type: string
        publishedVersionId:
          type: string
        reviewReason:
          type: string
        reviewRequestId:
          type: string
        reviewStatus:
          type: string
        saleStatus:
          type: string
        status:
          type: string
        taskFixedFeeT:
          type: integer
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````